[torquedev] pbs_mom requires libpcap and libpam

David Beer dbeer at adaptivecomputing.com
Thu Jul 8 12:00:43 MDT 2010



----- Original Message -----
> On Thu, Jul 08, 2010 at 09:53:15AM -0400, Baer, Troy alleged:
> > 1. Installing the SLES libcap-devel and pam-devel RPMs were required
> > to
> > build this version of TORQUE, which was not the case with earlier
> > versions. Particularly vexing is pam-devel, as I had explicitly
> > disabled PAM support at configure time and yet pam-devel was
> > required to
> > link pbs_mom.
> 
> I need to see the output of this. There is no reason why pbs_mom
> should be
> linking to libpcap or libpam.
> 
> libpam is only used by the PAM module. And you the word "pcap" doesn't
> even
> exist in the source.
> 

Come to think of it, I came across a similar problem while testing the NUMA branch on a UV test machine. It turned out that that particular machine had recently been re-imaged and there were some mistakes in the image that had been placed on the machine. I don't know if this could be the same case here.

-- 
David Beer | Senior Software Engineer
Adaptive Computing


More information about the torquedev mailing list